Bug 810849 - Openjdk incorrect implementation java.awt.Desktop.getDesktop().open()
Openjdk incorrect implementation java.awt.Desktop.getDesktop().open()
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kde-runtime (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-09 07:52 EDT by Pavel Alexeev
Modified: 2015-06-29 20:35 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 20:35:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2012-04-09 07:52:56 EDT
Description of problem:
Problem starts from my report to AquaDataStudio (proprietary software) - https://www.aquaclusters.com/app/home/project/public/aquadatastudio/issue/6651

After some investigations we found what it is not reproducible on upstream Oracle java.

Small reproducer:
=====start=====
import java.awt.Desktop;
import java.io.File;

class javaOpen{

	public static void main(String[] args){

		File f = new File ("/home/pasha/temp/javaOpenError/test.xls");

		try {
			if(Desktop.isDesktopSupported()) {
				Desktop.getDesktop().open(f);
			}
		} catch(Exception e) {
			System.out.println(e);
		}
	}
}
=====end=====

When I compile it and run under Oracle java - just file opened and nothing output in console.

Running under openjdk leads some warnings in console:
[pasha@hubbitus javaOpenError]$ java javaOpen
[pasha@hubbitus javaOpenError]$ Qt: Session management error: Could not open network socket
kdeinit4: Shutting down running client.
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
KDE Daemon (kded) already running.
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
kbuildsycoca4 running...
kbuildsycoca4(11559) KConfigGroup::readXdgListEntry: List entry text/html in "/home/pasha/.local/share/applications/mimeapps.list" is not compliant with XDG standard (missing trailing semicolon).
kbuildsycoca4(11559) KConfigGroup::readXdgListEntry: List entry x-scheme-handler/file in "/home/pasha/.local/share/applications/mimeapps.list" is not compliant with XDG standard (missing trailing semicolon).
kbuildsycoca4(11559) KConfigGroup::readXdgListEntry: List entry x-scheme-handler/http in "/home/pasha/.local/share/applications/mimeapps.list" is not compliant with XDG standard (missing trailing semicolon).
kbuildsycoca4(11559) KConfigGroup::readXdgListEntry: List entry x-scheme-handler/https in "/home/pasha/.local/share/applications/mimeapps.list" is not compliant with XDG standard (missing trailing semicolon).
kbuildsycoca4(11559) KConfigGroup::readXdgListEntry: List entry x-scheme-handler/mailto in "/home/pasha/.local/share/applications/mimeapps.list" is not compliant with XDG standard (missing trailing semicolon).
kbuildsycoca4(11559) KConfigGroup::readXdgListEntry: List entry x-scheme-handler/trash in "/home/pasha/.local/share/applications/mimeapps.list" is not compliant with XDG standard (missing trailing semicolon).
KDirWatch: /home/pasha/temp/javaOpenError/test.xls is a file. Use addFile!

File finally opened, but also Dolphin window appeared with strange and incorrect path "/home/pasha/temp/javaOpenError/test.xls/"

Version-Release number of selected component (if applicable):
$ rpm -qa 'java*'
java-1.7.0-openjdk-1.7.0.3-2.1.fc16.1.x86_64
java-1.7.0-openjdk-devel-1.7.0.3-2.1.fc16.1.x86_64
java-1.6.0-openjdk-1.6.0.0-65.1.11.1.fc16.x86_64
java-1.6.0-openjdk-devel-1.6.0.0-65.1.11.1.fc16.x86_64

How reproducible:
Always.
Comment 1 Mario Torre 2012-07-26 13:16:00 EDT
Works for me on a Fedora 17 system, all updated.

neugens@caprica bug810849]$ java -version
java version "1.7.0_03-icedtea"
OpenJDK Runtime Environment (fedora-2.2.1.fc17.8-x86_64)
OpenJDK 64-Bit Server VM (build 23.0-b21, mixed mode)

LibreOffice 3.5.5.3 

I tried this both under KDE and Gnome.
Comment 2 Pavel Alexeev 2012-08-11 18:36:02 EDT
$ java -version
java version "1.7.0_05-icedtea"
OpenJDK Runtime Environment (fedora-2.2.1.fc17.9-x86_64)
OpenJDK 64-Bit Server VM (build 23.0-b21, mixed mode)

Still reproducible - Dolpin window appeared.
Comment 3 Mario Torre 2012-08-13 08:06:00 EDT
I still can't reproduce it...

I think I may need your excel file to test this out.

I also need more info:

1. Output of uname -a
2. What desktop environment are you running

Also, can you please try to open the file with a new user or a clean desktop setup?
Comment 4 Pavel Alexeev 2012-08-23 03:00:10 EDT
(In reply to comment #3)
> I still can't reproduce it...
> 
> I think I may need your excel file to test this out.
It have no sense. I test with newly created test.ods and it behave the same.
> 
> I also need more info:
> 
> 1. Output of uname -a
$ uname -a
Linux hubbitus 3.5.1-1.fc17.x86_64 #1 SMP Thu Aug 9 17:50:43 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
> 2. What desktop environment are you running
KDE, as mentioned before.

$ rpm -qa 'kde*'
kde-runtime-libs-4.8.5-2.fc17.x86_64
kdelibs-common-4.8.5-1.fc17.x86_64
kdepimlibs-akonadi-4.8.5-1.fc17.x86_64
kdeartwork-kxs-4.8.5-1.fc17.x86_64
kdenetwork-krdc-4.8.5-1.fc17.x86_64
kde-baseapps-libs-4.8.5-1.fc17.x86_64
kdemultimedia-juk-4.8.5-1.fc17.x86_64
kde-workspace-libs-4.8.5-2.fc17.x86_64
kdepim-libs-4.8.5-2.fc17.x86_64
kdenetwork-krfb-4.8.5-1.fc17.x86_64
kde-settings-ksplash-4.8-18.fc17.noarch
kdeutils-4.8.5-1.fc17.noarch
kdepim-runtime-libs-4.8.5-1.fc17.x86_64
kdegraphics-strigi-analyzer-4.8.5-1.fc17.x86_64
kdemultimedia-common-4.8.5-1.fc17.noarch
kdemultimedia-kio_audiocd-4.8.5-1.fc17.x86_64
kde-runtime-4.8.5-2.fc17.x86_64
kdesdk-common-4.8.5-1.fc17.noarch
kdenetwork-kopete-4.8.5-1.fc17.x86_64
kdenetwork-kdnssd-4.8.5-1.fc17.x86_64
kdenetwork-kget-libs-4.8.5-1.fc17.x86_64
kde-settings-kdm-4.8-18.fc17.noarch
kdepim-runtime-4.8.5-1.fc17.x86_64
kdegraphics-thumbnailers-4.8.5-1.fc17.x86_64
kde-plasma-networkmanagement-libs-0.9.0.4-1.fc17.x86_64
kde-workspace-4.8.5-2.fc17.x86_64
kdemultimedia-libs-4.8.5-1.fc17.x86_64
kde-settings-plasma-4.8-18.fc17.noarch
kdemultimedia-kmix-4.8.5-1.fc17.x86_64                                                                                                                                                                                                       
kde-i18n-Russian-3.5.10-16.fc17.noarch                                                                                                                                                                                                       
kde-runtime-flags-4.8.5-2.fc17.noarch                                                                                                                                                                                                        
kde-wallpapers-4.8.5-1.fc17.noarch                                                                                                                                                                                                           
kde-settings-4.8-18.fc17.noarch                                                                                                                                                                                                              
kdenetwork-kget-4.8.5-1.fc17.x86_64                                                                                                                                                                                                          
kdesdk-scripts-4.8.5-1.fc17.noarch                                                                                                                                                                                                           
kde-plasma-networkmanagement-vpnc-0.9.0.4-1.fc17.x86_64                                                                                                                                                                                      
kdelibs-4.8.5-1.fc17.x86_64                                                                                                                                                                                                                  
kdelibs3-3.5.10-37.fc17.x86_64                                                                                                                                                                                                               
kde-plasma-networkmanagement-0.9.0.4-1.fc17.x86_64                                                                                                                                                                                           
kde-l10n-4.8.5-2.fc17.noarch                                                                                                                                                                                                                 
kdenetwork-kopete-libs-4.8.5-1.fc17.x86_64                                                                                                                                                                                                   
kdemultimedia-dragonplayer-4.8.5-1.fc17.x86_64                                                                                                                                                                                               
kde-i18n-3.5.10-16.fc17.noarch                                                                                                                                                                                                               
kde-plasma-networkmanagement-openvpn-0.9.0.4-1.fc17.x86_64                                                                                                                                                                                   
kdeutils-minimal-4.8.5-1.fc17.noarch                                                                                                                                                                                                         
kde-filesystem-4-39.fc17.x86_64                                                                                                                                                                                                              
kdepimlibs-4.8.5-1.fc17.x86_64                                                                                                                                                                                                               
kdeaccessibility-4.8.5-1.fc17.noarch                                                                                                                                                                                                         
kdenetwork-krdc-libs-4.8.5-1.fc17.x86_64                                                                                                                                                                                                     
kdeplasma-addons-libs-4.8.5-1.fc17.x86_64                                                                                                                                                                                                    
kdenetwork-4.8.5-1.fc17.x86_64                                                                                                                                                                                                               
kdegames-4.8.5-1.fc17.x86_64                                                                                                                                                                                                                 
kde-plasma-networkmanagement-pptp-0.9.0.4-1.fc17.x86_64                                                                                                                                                                                      
kdegames-libs-4.8.5-1.fc17.x86_64                                                                                                                                                                                                            
kde-l10n-Russian-4.8.5-2.fc17.noarch                                                                                                                                                                                                         
kdepim-4.8.5-2.fc17.x86_64                                                                                                                                                                                                                   
kdenetwork-krfb-libs-4.8.5-1.fc17.x86_64                                                                                                                                                                                                     
kde-settings-pulseaudio-4.8-18.fc17.noarch
kdeartwork-screensavers-4.8.5-1.fc17.x86_64
kdeutils-common-4.8.5-1.fc17.noarch
kdenetwork-common-4.8.5-1.fc17.noarch
kdegames-minimal-4.8.5-1.fc17.x86_64
kde-printer-applet-4.8.5-1.fc17.noarch
kdenetwork-kppp-4.8.5-1.fc17.x86_64
kdeplasma-addons-4.8.5-1.fc17.x86_64
kdemultimedia-kscd-4.8.5-1.fc17.x86_64
kdenetwork-fileshare-samba-4.8.5-1.fc17.x86_64
kdegraphics-libs-4.8.5-1.fc17.noarch
kde-baseapps-4.8.5-1.fc17.x86_64

> Also, can you please try to open the file with a new user or a clean desktop
> setup?
I'll try do that later.
Comment 5 Mario Torre 2012-08-31 06:56:55 EDT
Hello Pavel, any news?
Comment 6 Pavel Alexeev 2012-09-07 09:36:08 EDT
Hm. Its very strange, but that does not reproduced on newly created test user nor under gnome nor KDE.
Comment 7 Mario Torre 2012-09-10 15:41:51 EDT
It's probably something to do with KDE mime settings, maybe some program messed with them.

I close the bug for now, please reopen if you experience this again on a fresh install.
Comment 8 Pavel Alexeev 2012-09-11 03:10:00 EDT
Why closing, if problem persist? I reassign then on kde.
Comment 9 Lukáš Tinkl 2012-09-11 04:59:30 EDT
Try running manually from console:

$ kbuildsycoca4


Does that help?
Comment 10 Kevin Kofler 2012-09-11 11:28:39 EDT
Does:
xdg-open /home/pasha/temp/javaOpenError/test.xls
work?
Comment 11 Pavel Alexeev 2012-09-13 14:12:32 EDT
Yes, it works as expected - only OpenOffice writer window appeared without Dolphin popup.
Comment 12 Kevin Kofler 2012-09-13 17:53:21 EDT
And if you try running the incorrect command:
xdg-open /home/pasha/temp/javaOpenError/test.xls/
(with that trailing slash), do you get the same output as from OpenJDK? (If yes, then that's most likely what OpenJDK is doing wrong.)
Comment 13 Pavel Alexeev 2012-09-14 02:46:36 EDT
No, behave different.

That command fire window with error which says:
"Unable to run the command specified. The file or folder file:///home/pasha/temp/javaOpenError/test.xls/ does not exist."
Comment 14 Fedora End Of Life 2013-01-16 14:55:19 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Fedora End Of Life 2013-02-13 18:31:16 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 16 Pavel Alexeev 2013-04-02 15:03:34 EDT
Still reproduced in java-1.7.0-openjdk-1.7.0.17-2.3.8.3.fc18.x86_64
Comment 17 Fedora End Of Life 2013-12-21 10:01:36 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2015-05-29 04:43:20 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2015-06-29 20:35:30 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.